Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry
Class AbstractGroundMesh

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.geometry.AbstractGroundMesh

Direct Known Subclasses:
  GroundPlane, Terrain

    public abstract class AbstractGroundMesh

extends MeshDL

This class represents a mesh that is used for the scene's ground. Ground meshes are set to be pickable intially.

Author:
  Frank Bruns

Constructor Summary
`AbstractGroundMesh(boolean smooth)` Creates a new mesh that is considered to be some kind of ground.
`AbstractGroundMesh(boolean smooth, BoundingVolume type)` Creates a new mesh that is considered to be some kind of ground.

Method Summary
`float` | `getLength()` Returns the length of the ground mesh.
`SearchGrid` | `getSearchGrid()` Returns the search grid that is used for path finding.
`float` | `getWidth()` Returns the width of the ground mesh
`void` | `initSearchGrid(int gridNodeSize)` Initializes a search grid to the ground mesh, that will be used for path finding on the mesh.

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, specializedDraw, update`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGroundMesh

    public AbstractGroundMesh(boolean smooth)

  Creates a new mesh that is considered to be some kind of ground.

  Parameters:
    `smooth` - create smoothed normals for the mesh

### AbstractGroundMesh

    public AbstractGroundMesh(boolean smooth,
                              BoundingVolume type)

  Creates a new mesh that is considered to be some kind of ground.

  Parameters:
    `smooth` - create smoothed normals for the mesh
    `type` - value from the BoundingValue enumertation

Method Detail

### getWidth

    public float getWidth()

  Returns the width of the ground mesh

  Returns:
    width of the ground mesh

### getLength

    public float getLength()

  Returns the length of the ground mesh.

  Returns:
    length of the ground mesh

### initSearchGrid

    public void initSearchGrid(int gridNodeSize)

  Initializes a search grid to the ground mesh, that will be used for path finding on the mesh. The smaller the grid node size the more accurate is the path going to be, but the slower will the path calculation be.
  Note: It is absolutely vital to call this method after every possible scale operation has been performed on the mesh!

  Parameters:
    `gridNodeSize` - size of a cell in the grid (the nearest power of two to the specified value will be used)

### getSearchGrid

    public SearchGrid getSearchGrid()

  Returns the search grid that is used for path finding.

  Returns:
    search grid assigned to the ground mesh

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD